Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86581 - Creating new role causes CCM Error
Summary: Creating new role causes CCM Error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other
Version: nightly
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Justin Ross
QA Contact: Jon Orris
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-25 22:08 UTC by Jon Orris
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-22 03:50:05 UTC


Attachments (Terms of Use)

Description Jon Orris 2003-03-25 22:08:02 UTC
@28909

Creating a new role in CMS causes a CCM Error
BLOCKS: CMS Smoke Test

To Replicate: 
Create a new Role, and assign all privileges to it.

CCM issue report code: goodeats.boston.redhat.com:8080:62ac88af:f42725af93


-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code:
goodeats.boston.redhat.com:8080:62ac88af:f42725af93 -*-*-*-
-*-*-*- Message: Assertion failed: Component
com.arsdigita.toolbox.ui.NullComponent@4154c8a4 is not a child of this container
-*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*
Accept-Encoding: gzip, deflate
Accept-Language: en-us
Cache-Control: no-cache
Connection: Keep-Alive
Content-Length: 696
Content-Type: application/x-www-form-urlencoded
Cookie: JSESSIONID=a6Pu8ttcPKCb;
ad_user_login=3008!1048629509786!+0+uJ3ZXYSH6+mrg8z0HJQ==
Host: goodeats.boston.redhat.com:8080
Referer:
http://goodeats.boston.redhat.com:8080/ccm/articles/admin/index.jsp?bbp.332.stk=0&bbp.672.stk=0&bbp.701.d=asc&bbp.606.stk=0&bbp.484.stk=0&bbp.210.stk=2&bbp.352.stk=0&bbp.s=319&bbp.i=bnklg11boar147z2furz5cr68dxexhwqyp8v1yo&bbp.670.stk=0&bbp.3.pane=2&bbp.70.ps=20&bbp.4.folder=2&bbp.482.stk=0&bbp.334.stk=0&bbp.240.stk=0&g11n.enc=ISO-8859-1&bbp.608.stk=0
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: a6Pu8ttcPKCb (expires: -1)
ad_user_login: 3008!1048629509786!+0+uJ3ZXYSH6+mrg8z0HJQ== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
java.lang.IllegalStateException: Assertion failed: Component
com.arsdigita.toolbox.ui.NullComponent@4154c8a4 is not a child of this container
	at com.arsdigita.util.Assert.assertTrue(Assert.java(Compiled Code))
	at com.arsdigita.toolbox.ui.ModalPanel.push(ModalPanel.java:79)
	at
com.arsdigita.toolbox.ui.ModalPanel$FormNavigationListener.process(ModalPanel.java:254)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:424)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:404)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:447)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:341)
	at com.arsdigita.bebop.Form.process(Form.java:431)
	at com.arsdigita.bebop.Form.respond(Form.java:276)
	at com.arsdigita.bebop.PageState.respond(PageState.java:348)
	at com.arsdigita.bebop.Page.process(Page.java:696)
	at com.arsdigita.bebop.Page.process(Page.java:678)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:241)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:72)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:249)
	at com.arsdigita.cms.dispatcher.CMSDispatcher.dispatch(CMSDispatcher.java:257)
	at
com.arsdigita.cms.dispatcher.CMSDispatcher.chainedDispatch(CMSDispatcher.java:337)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:135)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:113)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:128)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:104)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:232)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java(Compiled
Code))
	at com.caucho.server.http.Invocation.service(Invocation.java(Compiled Code))
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java(Compiled
Code))
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java(Compiled
Code))
	at com.caucho.server.http.Invocation.service(Invocation.java(Compiled Code))
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java(Compiled
Code))
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java(Compiled
Code))
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/articles/admin/index.jsp
Query string: null
Method: POST
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/home/boston/jorris/dev/lib/junit.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/resin.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc2_0-stdext.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jta-spec1_0_1.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jndi.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/dom.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/sax.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jaxp.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jmx.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/webutil.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc-mysql.jar:/opt/IBMJava2-131/lib/tools.jar:/opt/IBMJava2-131/jre/lib/rt.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/product/9.2.0.1/lib:/product/9.2.0.1/ctx/lib:/product/9.2.0.1/JRE/lib/i386/native_threads:/lib:/usr/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
org.apache.xalan.processor.TransformerFactoryImpl
line.separator: 

org.xml.sax.driver: org.apache.xerces.parsers.SAXParser
os.arch: x86
os.name: Linux
os.version: 2.4.18-27.8.0
path.separator: :
PreferredXSLTTransformer: XALAN
resin.home: /home/boston/jorris/webserver/resin-2.1.4
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /opt/IBMJava2-131/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /home/boston/jorris/webserver/resin-2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.region: US
user.timezone: America/New_York
vendor: Apache Software Foundation
vendor-url: http://xml.apache.org/xalan
version: 2.1.0
-*-*-*-*-*- End Error Report -*-*-*-*-*-

Comment 1 Justin Ross 2003-04-03 16:06:09 UTC
Fixed in perforce change 29392.


Note You need to log in before you can comment on or make changes to this bug.